Update an alert
Updates an alert name, params, recipients, or channel. kind and contract_id are immutable.
curl -X PATCH "https://api.textmine.com/v3/alerts/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (`tm_<key>`)" \
-d '{
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "example_string"
}'
import requests
import json
url = "https://api.textmine.com/v3/alerts/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (`tm_<key>`)"
}
data = {
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "example_string"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.textmine.com/v3/alerts/123", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (`tm_<key>`)"
},
body: JSON.stringify({
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "example_string"
}`)
req, err := http.NewRequest("PATCH", "https://api.textmine.com/v3/alerts/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (`tm_<key>`)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.textmine.com/v3/alerts/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (`tm_<key>`)'
request.body = '{
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "example_string"
}'
response = http.request(request)
puts response.body
{
"id": 222,
"contract_id": 67890,
"kind": "before_termination",
"name": "John Doe",
"params": {},
"recipients": [
{
"user_id": 123,
"email": "user@example.com"
}
],
"channel": "email",
"status": "scheduled",
"fires_at": "2024-12-25T10:00:00Z",
"fired_at": "2024-12-25T10:00:00Z",
"error": "example_string",
"created_at": "2024-12-25T10:00:00Z",
"created_by_id": 123
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/v3/alerts/{alertId}Target server for requests. Edit to use your own host.
Use Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.
Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.Alert ID.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (tm_<key>). Use Authorization: Bearer tm_<key> for API-key access to /v3/** endpoints. V3 also accepts Auth0 JWT and HTTP Basic for user-session contexts.
Path Parameters
Alert ID.